package hdm.mi.growbros.controllers;


import hdm.mi.growbros.service.GrandmaService;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/randomPlantInfo")
public class GrandmaController {

    private final GrandmaService grandmaService;

    public GrandmaController(GrandmaService grandmaService){
        this.grandmaService = grandmaService;
    }

    @GetMapping
    public ResponseEntity<String> getRandomPlantInfo() {
        String randomPlantInfo = grandmaService.getRandomPlantInfo();
        return ResponseEntity.ok(randomPlantInfo);
    }
}
